PETSc version 3.15.5
Fix/Edit manual page

# SNESNGSGetTolerances

Gets various parameters used in convergence tests.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESNGSGetTolerances(SNES snes,PetscReal *atol,PetscReal *rtol,PetscReal *stol,PetscInt *maxit)

Not Collective

### Input Parameters

| snes | - the SNES context
| atol | - absolute convergence tolerance
| rtol | - relative convergence tolerance
| stol | - convergence tolerance in terms of the norm of the change in the solution between steps
| maxit | - maximum number of iterations

### Notes

The user can specify NULL for any parameter that is not needed.

### See Also

SNESSetTolerances()

### Level

intermediate

### Location

src/snes/impls/gs/snesgs.c

### Examples

src/snes/tutorials/ex5.c.html
src/snes/tutorials/ex15.c.html
src/snes/tutorials/ex19.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages